Subject: Re: libgit2 - a true git library

From: David Brown <[email-masked]>
Date: Sat, 1 Nov 2008 22:09:18 -0700

On Sat, Nov 01, 2008 at 06:07:04PM -0700, Scott Chacon wrote:

>Think about trying to incorporate this into something proprietary,
>Shawn - how much of a pain is it going to be to get that license
>reviewed in Google?  However, LGPL I'm sure there is already a
>reviewed policy.  Now, since that may be a pain, time that Shawn could
>have been spending being paid to work on the library is lost because
>they can't use it, or it takes weeks/months to review it.  That's my
>concern.

The gcc exception license should have been reviewed by anyone who has
ever build anything proprietary out of gcc.

GPL+link exception is a very common license.  It's most common use is
for runtime libraries for various programming languages.

Lawyers I know are significantly less fearful of the GPL+exception
than the LGPL.  The exception basically says that if you use it in a
certain way, then none of the GPL applies.

David